Subject: Re: bug#1806: dired-pop-to-buffer in wrong place

From: Juri Linkov <[email-masked]>
Date: Fri, 09 Jan 2009 00:55:17 +0200

>> As I can see currently `fit-window-to-buffer' always takes space
>> from the bottom window, but we need it from the top window.
>
> Looking at this again, I believe what you want is to invert the order of
> stealing and giving as in the attached patch.  Might have side-effects
> elsewhere.

Maybe a simpler solution is to change `fit-window-to-buffer'
so in such configurations when windows are split vertically
(the correct treating of horizontally split windows
is already provided in dired-pop-to-buffer you sent recently)
it will temporarily switch the current window to the upper window
and call `enlarge-window' from the upper window, thus resizing
the right border.

-- 
Juri Linkov
http://www.jurta.org/emacs/